### Method

# Gck Slot enumerate_objects

#### Declaration [src]

    GckEnumerator*
    gck_slot_enumerate_objects (
      GckSlot* self,
      GckAttributes* match,
      GckSessionOptions options
    )

#### Description [src]

Setup an enumerator for listing matching objects on the slot.

If the `match` `GckAttributes` is floating, it is consumed.

This call will not block but will return an enumerator immediately.

#### Parameters

`match`

  Type: `GckAttributes`

  Attributes that the objects must match, or empty for all objects.

  The data is owned by the caller of the method.

`options`

  Type: `GckSessionOptions`

  Options for opening a session.

#### Return value

Type: `GckEnumerator`

A new enumerator.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.